Subject: SML-NJ 0.66

From: Andrew Appel <[email-masked]>
Date: Wed, 10 Oct 90 14:07:13 EDT

----------------------------Original message----------------------------
Standard ML of New Jersey, version 0.66, is now available for FTP.
This is the first general public release since version 0.56, and is a
substantial improvement in every way:  there are very few remaining
bugs, the Definition of ML is much more closely adhered to, less time
and space is taken for compilation, and compiled code is somewhat faster.
See doc/NEWS in the distribution for details.
     
Standard ML of New Jersey is distributed free of charge and with no warranty.
You may use, copy, modify, and distribute the software provided that
you preserve the copyright notice and don't mention AT&T in your
advertising; see the license (in the README) for details.
     
To obtain Standard ML of New Jersey by Internet FTP,
* Connect to princeton.edu (128.112.128.1) or research.att.com (192.20.225.2).
* Login as "anonymous" with your name as password
* go to directory pub/ml (on princeton.edu) or dist/ml (on research.att.com)
   (e.g.  "cd pub/ml")
* put ftp in binary mode ("binary")
* transfer the relevant files in that directory ("mget README 66.*")
     
The relevant files are, (all but README in compressed tar format):
     
README          general information
66.doc.tar.Z        documentation, reference manuals, release notes, papers
66.src.tar.Z       source code for the compiler
66.lib.tar.Z        contributed software (like "ML lex", "ML yacc", etc.)
66.mo.vax.tar.Z   object-code files for the Vax
66.mo.m68.tar.Z   object-code files for the MC68020 (Sun-3, HP, Sony, etc.)
66.mo.sparc.tar.Z object-code files for the SPARC (Sun-4)
66.mo.mipsl.tar.Z object-code files for the little-endian MIPS (DECstation)
66.mo.mipsb.tar.Z object-code files for the big-endian MIPS (MIPS, SGI)
     
You will need at least the 66.src.tar.Z file and the 66.mo... files for
the machine on which you intend to install the software.  Further installation
instructions are in the README and in the 66.doc... directory.
     
There is a mailing list for users of Standard ML, carrying queries and
discussions related to the language in general and to all ML compilers
(not just Standard ML of New Jersey).  New releases of our software
are announced on this list.  To enroll, send mail to [email-masked].
     
If you do not have access to Internet FTP, write to one of us, and
please specify what medium you require (Exabyte cartridge, 9-track tape, etc).
     
David B. MacQueen            or    Andrew W. Appel
AT&T Bell Laboratories, Room 2C-322        Department of Computer Science
600 Mountain Avenue                Princeton University
Murray Hill, NJ 07974                Princeton, NJ 08544-2087
USA                        USA
([email-masked])            ([email-masked])